//+------------------------------------------------------------------+
//|                                                    SnapShotI.mq4 |
//|                                    Copyright  2006, MichalRutka |
//|                                        http://www.mqlservice.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MichalRutka"
#property link      "http://www.mqlservice.com"

#property indicator_chart_window
extern int width =1280;
extern int height=1024;

int start()
{
   static bool     doSnapshot = false;
   static datetime last_bar   = 0;
   if(Time[0] != last_bar)
   {
     last_bar = Time[0]; doSnapshot = true; return(0);
   }
   if (doSnapshot) { doSnapshot = false; MakeScreenShot(); }
   return(0);
}

string al0(int number, int digits){
  // add leading zeros that the resulting string has 'digits' length.
  string result;
  result = DoubleToStr(number, 0);
  while(StringLen(result)<digits) result = "0"+result;
  return(result);
}

void MakeScreenShot(){
  static int no=0;
  no++;
  WindowRedraw();
  string fn = "SnapShot"+Symbol()+Period()+"\\"+Year()+"-"+al0(Month(),2)+"-"+al0(Day(),2)+" "+
              al0(Hour(),2)+"_"+al0(Minute(),2)+"_"+al0(Seconds(),2)+" "+no+".gif";
  if(!WindowScreenShot(fn,width,height)) Print("ScreenShot error: ", GetLastError());
}
//+----Coded by Michal Rutka-----------------------------------------+